---
wsId: 
title: Coins Wallet for bitcoin and litecoin
altTitle: 
authors:
- leo
users: 10000
appId: com.newcurrency.coinstrunk.v1
appCountry: 
released: 2020-10-15
updated: 2022-03-09
version: '1.12'
stars: 4.1
ratings: 635
reviews: 47
size: 6.4M
website: http://firstdaotrust.com
repository: 
issue: 
icon: com.newcurrency.coinstrunk.v1.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-07-29
signer: 
reviewArchive: 
twitter: 
social: 
redirect_from: 

---

> This wallet helps people to create bitcoin or litecoin transactions

ok, so it's a wallet for BTC.

> with 0 (zero) blockchain fee. Yes, you send cash absolutely free.

that sounds suspicious as zero fee usually only works when no on-chain transactions
happen.

In their [FAQ](https://buxtank.com/faqs) they state:

> **I forgot my password, I cannot log into my account. What should I do?**<br>
  Open the Account Information Reminder web page and type your login name. Then you will be asked a security question; if the answer if correct you will obtain access your account.

So here they are talking about an account which is a contradiction to a wallet.

In summary the provider makes no clear statements about the app being self-custodial
and bits here and there indicate it is custodial and thus **not verifiable**.
